/*
 * Copyright 2007 Phidgets Inc.  All rights reserved.
 */

import com.phidgets.*;
import com.phidgets.event.*;
import java.util.Scanner;

public class doorSensor
{
	public static final void main(String args[]) throws Exception {
		final InterfaceKitPhidget ik;

		ik = new InterfaceKitPhidget();

		ik.addInputChangeListener(new InputChangeListener() {
			public void inputChanged(InputChangeEvent oe) {
				if(oe.getIndex() == 0 && oe.getState() == true){ //check that it is the correct input and that the door is closed
					try{
						ik.setOutputState(0, false); //keep the LED off
					}
					catch(Exception e){
					}
				}
				else if(oe.getIndex() == 0 && oe.getState() == false){ //otherwise
					try{
						ik.setOutputState(0, true); //turn the LED on
					}
					catch(Exception e){
					}
				}
			}
		});

		ik.openAny();
		ik.waitForAttachment();

		System.out.println(ik.getDeviceName()+"\n");

		Scanner sc = new Scanner(System.in);
		System.out.println("Press Enter to quit...");
		sc.nextLine();
		ik.setOutputState(0, false);
		
		ik.close();
	}
}
